﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Data;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.Common;
using HeuristicLab.Core;

namespace HeuristicLab.Problems.MetaOptimization {
  [StorableClass]
  public class IntValueParameterConfiguration : ValueTypeParameterConfiguration<IntValue> {

    public IntValueParameterConfiguration(ParameterConfiguration parentConfiguration, string parameterName, IItem value) : base(parentConfiguration, parameterName, value) {
    }

    protected IntValueParameterConfiguration() { }
    [StorableConstructor]
    protected IntValueParameterConfiguration(bool deserializing) : base(deserializing) { }
    protected IntValueParameterConfiguration(IntValueParameterConfiguration original, Cloner cloner) : base(original, cloner) {    }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new IntValueParameterConfiguration(this, cloner);
    }
  }
}
